Clone a feature flag

View as Markdown
Creates a copy of the specified feature flag. The copy can be created in any project.

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

projectIdstringRequired
featureNamestringRequired

Request

cloneFeatureSchema
namestringRequired
The name of the new feature
replaceGroupIdbooleanOptional

Whether to use the new feature name as its group ID or not. Group ID is used for calculating stickiness. Defaults to true.

Response

featureSchema
namestring
Unique feature name
typestringOptional

Type of the flag e.g. experiment, kill-switch, release, operational, permission

descriptionstring or nullOptional
Detailed description of the feature
archivedbooleanOptional

true if the feature is archived

projectstringOptional
Name of the project the feature belongs to
enabledbooleanOptional

true if the feature is enabled, otherwise false.

stalebooleanOptional

true if the feature is stale based on the age and feature type, otherwise false.

favoritebooleanOptional

true if the feature was favorited, otherwise false.

impressionDatabooleanOptional

true if the impression data collection is enabled for the feature, otherwise false.

createdAtstring or nullOptionalformat: "date-time"
The date the feature was created
createdByobjectOptional
User who created the feature flag
archivedAtstring or nullOptionalformat: "date-time"
The date the feature was archived
environmentslist of objectsOptional
The list of environments where the feature can be used
tagslist of objects or nullOptional
The list of feature tags
childrenlist of stringsOptional
The list of child feature names. This is an experimental field and may change.
lifecycleobjectOptional
Current lifecycle stage of the feature
dependencieslist of objectsOptional
The list of parent dependencies. This is an experimental field and may change.
collaboratorsobjectOptional
Information related to users who have made changes to this feature flage.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
415
Unsupported Media Type Error